#
# spec file for package perl-Net-OBS-Client
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Net-OBS-Client
Name:           perl-Net-OBS-Client
Version:        0.1.3
Release:        1.3
License:        Artistic-2.0
Summary:        Simple OBS API calls
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/F/FS/FSM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::INI::Reader)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(Const::Fast)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Test::HTTP::MockServer)
BuildRequires:  perl(URI::URL)
BuildRequires:  perl(XML::Parser)
BuildRequires:  perl(XML::Structured)
Requires:       perl(Config::INI::Reader)
Requires:       perl(Config::Tiny)
Requires:       perl(Const::Fast)
Requires:       perl(HTTP::Cookies)
Requires:       perl(HTTP::Request)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Moose)
Requires:       perl(Moose::Role)
Requires:       perl(Path::Class)
Requires:       perl(URI::URL)
Requires:       perl(XML::Structured)
%{perl_requires}

%description
Net::OBS::Client aims to simplify usage of OBS
(https://openbuildservice.org) API calls in perl.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Fri Apr 26 2024 Frank Schreiner <fschreiner@suse.de>
- updated to 0.1.3
  see /usr/share/doc/packages/perl-Net-OBS-Client/Changes
* Thu Mar 28 2024 Frank Schreiner <FSchreiner@suse.com>
- updated to 0.1.2
  see /usr/share/doc/packages/perl-Net-OBS-Client/Changes
* Thu Nov 30 2023 Frank Schreiner <FSchreiner@suse.com>
- updated to 0.1.1
  see /usr/share/doc/packages/perl-Net-OBS-Client/Changes
* Thu Nov 30 2023 Frank Schreiner <FSchreiner@suse.com>
- updated to 0.1.0
  see /usr/share/doc/packages/perl-Net-OBS-Client/Changes
* Wed Jan 20 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.0.8
  see /usr/share/doc/packages/perl-Net-OBS-Client/Changes
  0.0.8 2021-01-19
  * fix conflicts
  0.0.7 2021-01-19
  * added perlcriticrc
  * test cases based on Test::HTTP::MockServer
  * fixed problem with use order
  * improved POD
  * removed usage of feature 'say' (for older perl versions)
  * LWP::ConsoleLogger::Easy no longer mandatory if NET_OBS_CLIENT_DEBUG is set
  * removed obsolete test modules
  0.0.6 2021-01-13
  * fixed POD for N::O::Client
  * implemented project/package/buildresults method in N::O::Client
  * removed spec file
  * fixed BuildRequires
  0.0.5 2021-01-12
  * changed mail
* Wed Jan 13 2021 Frank Schreiner <FSchreiner@suse.com>
- updated to 0.0.6
  see /usr/share/doc/packages/perl-Net-OBS-Client/Changes
* Wed Jan 13 2021 Frank Schreiner <FSchreiner@suse.com>
- updated to 0.0.5
  see /usr/share/doc/packages/perl-Net-OBS-Client/Changes
* Tue Jan 12 2021 Frank Schreiner <FSchreiner@suse.com>
- initial package 0.0.5
  * created by cpanspec 1.80.01
